// Copyright (c) 2005-2010 StreamBase Systems, Inc. All rights reserved.
package com.streambase.contrib.eclipse.connectivity;

import org.eclipse.core.runtime.IStatus;

public interface IStatusListener {
    /**
     * Notification of a server connection status changed. <em>Not guaranteed to be on the UI thread.</em>
     * @param status a MultiStatus whose first child represents the dequeuer state, the second child represents the enqueuer state
     */
    public void connectionStatusChanged(IStatus status);
}